.is-style-clipped-image {
    position: relative;
    z-index: 1;
}

.mg-banner-shape-2,
.mg-banner-shape-2 img {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: right;
}

.mg-banner-shape-2 img {
    opacity: 0.5;
}

@media screen and (min-width: 782px) {
    .is-style-clipped-image img {
        clip-path: polygon(0% 0%, 100% 0%, 80% 100%, 0% 100%);
    }

    .mg-banner-shape-2 img {
        opacity: 1;
    }

    .wp-block-media-text__content {
        max-width: 500px;
    }
}

.mg-hero--img-right .wp-block-media-text__media img {
    clip-path: polygon(20% 0%, 100% 0%, 100% 100%, 0% 100%);
}

.mg-hero--img-right .mg-banner-shape-2 img {
    left: 0;
}

.mg-hero--img-right .mg-banner-shape-2 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: right;
    margin-left: 0 !important;
}
